/*
 * protocol initialization calls
 *
 * Warning: this file is generated from graph.comp and is overwritten
 * every time 'make compose' is run
 */

#include "upi.h"
#include "x_util.h"
#include "compose.h"
#include "protocols.h"


XObj		protl_tab[22+1];
static XObj	argv[22];


void
build_pgraph_dev()
{
}


void
build_pgraph()
{

  /*
   *  building protocol ETH
   */
  protl_tab[0] = xCreateProtl(eth_init, "eth", "",
#ifdef XK_DEBUG
			&traceethp,
#else
			0,
#endif
				0, argv);
  if ( protl_tab[0] == ERR_XOBJ ) {
      Kabort("Could not create eth protocol");
  }


  /*
   *  building protocol ARP
   */
  argv[0] = protl_tab[0];
  protl_tab[1] = xCreateProtl(arp_init, "arp", "",
#ifdef XK_DEBUG
			&tracearpp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[1] == ERR_XOBJ ) {
      Kabort("Could not create arp protocol");
  }


  /*
   *  building protocol IP
   */
  argv[0] = protl_tab[0];
  argv[1] = protl_tab[1];
  protl_tab[2] = xCreateProtl(ip_init, "ip", "",
#ifdef XK_DEBUG
			&traceipp,
#else
			0,
#endif
				2, argv);
  if ( protl_tab[2] == ERR_XOBJ ) {
      Kabort("Could not create ip protocol");
  }


  /*
   *  building protocol ICMP
   */
  argv[0] = protl_tab[2];
  protl_tab[3] = xCreateProtl(icmp_init, "icmp", "",
#ifdef XK_DEBUG
			&traceicmpp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[3] == ERR_XOBJ ) {
      Kabort("Could not create icmp protocol");
  }


  /*
   *  building protocol VADDR
   */
  argv[0] = protl_tab[2];
  argv[1] = protl_tab[0];
  argv[2] = protl_tab[1];
  protl_tab[4] = xCreateProtl(vaddr_init, "vaddr", "",
#ifdef XK_DEBUG
			&tracevaddrp,
#else
			0,
#endif
				3, argv);
  if ( protl_tab[4] == ERR_XOBJ ) {
      Kabort("Could not create vaddr protocol");
  }


  /*
   *  building protocol BLAST
   */
  argv[0] = protl_tab[4];
  protl_tab[5] = xCreateProtl(blast_init, "blast", "",
#ifdef XK_DEBUG
			&traceblastp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[5] == ERR_XOBJ ) {
      Kabort("Could not create blast protocol");
  }


  /*
   *  building protocol VSIZE
   */
  argv[0] = protl_tab[4];
  argv[1] = protl_tab[5];
  protl_tab[6] = xCreateProtl(vsize_init, "vsize", "",
#ifdef XK_DEBUG
			&tracevsizep,
#else
			0,
#endif
				2, argv);
  if ( protl_tab[6] == ERR_XOBJ ) {
      Kabort("Could not create vsize protocol");
  }


  /*
   *  building protocol UDP
   */
  argv[0] = protl_tab[2];
  protl_tab[7] = xCreateProtl(udp_init, "udp", "",
#ifdef XK_DEBUG
			&traceudpp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[7] == ERR_XOBJ ) {
      Kabort("Could not create udp protocol");
  }


  /*
   *  building protocol SUNRPC
   */
  argv[0] = protl_tab[7];
  protl_tab[8] = xCreateProtl(sunrpc_init, "sunrpc", "",
#ifdef XK_DEBUG
			&tracesunrpcp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[8] == ERR_XOBJ ) {
      Kabort("Could not create sunrpc protocol");
  }


  /*
   *  building protocol TCP
   */
  argv[0] = protl_tab[2];
  protl_tab[9] = xCreateProtl(tcp_init, "tcp", "",
#ifdef XK_DEBUG
			&tracetcpp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[9] == ERR_XOBJ ) {
      Kabort("Could not create tcp protocol");
  }


  /*
   *  building protocol CHAN
   */
  argv[0] = protl_tab[6];
  protl_tab[10] = xCreateProtl(chan_init, "chan", "",
#ifdef XK_DEBUG
			&tracechanp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[10] == ERR_XOBJ ) {
      Kabort("Could not create chan protocol");
  }


  /*
   *  building protocol VCHAN
   */
  argv[0] = protl_tab[10];
  protl_tab[11] = xCreateProtl(vchan_init, "vchan", "",
#ifdef XK_DEBUG
			&tracevchanp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[11] == ERR_XOBJ ) {
      Kabort("Could not create vchan protocol");
  }


  /*
   *  building protocol SELECT
   */
  argv[0] = protl_tab[11];
  protl_tab[12] = xCreateProtl(select_init, "select", "",
#ifdef XK_DEBUG
			&traceselectp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[12] == ERR_XOBJ ) {
      Kabort("Could not create select protocol");
  }


  /*
   *  building protocol BLASTTEST
   */
  argv[0] = protl_tab[6];
  protl_tab[13] = xCreateProtl(blasttest_init, "blasttest", "",
#ifdef XK_DEBUG
			&traceblasttestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[13] == ERR_XOBJ ) {
      Kabort("Could not create blasttest protocol");
  }


  /*
   *  building protocol ETHTEST
   */
  argv[0] = protl_tab[0];
  protl_tab[14] = xCreateProtl(ethtest_init, "ethtest", "",
#ifdef XK_DEBUG
			&traceethtestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[14] == ERR_XOBJ ) {
      Kabort("Could not create ethtest protocol");
  }


  /*
   *  building protocol ICMPTEST
   */
  argv[0] = protl_tab[3];
  protl_tab[15] = xCreateProtl(icmptest_init, "icmptest", "",
#ifdef XK_DEBUG
			&traceicmptestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[15] == ERR_XOBJ ) {
      Kabort("Could not create icmptest protocol");
  }


  /*
   *  building protocol IPTEST
   */
  argv[0] = protl_tab[4];
  protl_tab[16] = xCreateProtl(iptest_init, "iptest", "",
#ifdef XK_DEBUG
			&traceiptestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[16] == ERR_XOBJ ) {
      Kabort("Could not create iptest protocol");
  }


  /*
   *  building protocol SUNRPCTEST
   */
  argv[0] = protl_tab[8];
  protl_tab[17] = xCreateProtl(sunrpctest_init, "sunrpctest", "",
#ifdef XK_DEBUG
			&tracesunrpctestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[17] == ERR_XOBJ ) {
      Kabort("Could not create sunrpctest protocol");
  }


  /*
   *  building protocol TCPTEST
   */
  argv[0] = protl_tab[9];
  protl_tab[18] = xCreateProtl(tcptest_init, "tcptest", "",
#ifdef XK_DEBUG
			&tracetcptestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[18] == ERR_XOBJ ) {
      Kabort("Could not create tcptest protocol");
  }


  /*
   *  building protocol RARPTEST
   */
  argv[0] = protl_tab[1];
  protl_tab[19] = xCreateProtl(rarptest_init, "rarptest", "",
#ifdef XK_DEBUG
			&tracerarptestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[19] == ERR_XOBJ ) {
      Kabort("Could not create rarptest protocol");
  }


  /*
   *  building protocol IPROUTETEST
   */
  protl_tab[20] = xCreateProtl(iproutetest_init, "iproutetest", "",
#ifdef XK_DEBUG
			&traceiproutetestp,
#else
			0,
#endif
				0, argv);
  if ( protl_tab[20] == ERR_XOBJ ) {
      Kabort("Could not create iproutetest protocol");
  }


  /*
   *  building protocol ENABLETEST
   */
  argv[0] = protl_tab[2];
  protl_tab[21] = xCreateProtl(enabletest_init, "enabletest", "",
#ifdef XK_DEBUG
			&traceenabletestp,
#else
			0,
#endif
				1, argv);
  if ( protl_tab[21] == ERR_XOBJ ) {
      Kabort("Could not create enabletest protocol");
  }

}
