/* 
 * $RCSfile: idmap_internal.h,v $
 *
 * x-kernel v3.2
 *
 * Copyright (c) 1993,1991,1990  Arizona Board of Regents
 *
 *
 * $Log: idmap_internal.h,v $
 * Revision 1.8  1994/08/04 17:55:09  menze
 *   [ 1994/04/14          menze ]
 *   Added mapVarUnbind
 *
 */

#define	GETMAPELEM(map, elem) { \
    if ((elem = (map)->freelist) == 0) { \
	elem = (MapElement*)xMalloc(ROUND4 \
	    (ROUND4(sizeof(MapElement))+(map)->keySize)); \
        elem->externalid = (VOID *)(ROUND4((unsigned int)elem+sizeof(MapElement))); \
    } else { \
        (map)->freelist = (elem)->next; \
    } \
}

#define	GETVARMAPELEM(map, elem, size) { \
    if ((elem = (map)->freelist) == 0) { \
        elem = (MapElement*)xMalloc(ROUND4 \
		(ROUND4(sizeof(MapElement))+size)); \
        elem->externalid = (VOID *)(ROUND4((unsigned int)elem+sizeof(MapElement))); \
    } else { \
        (map)->freelist = (elem)->next; \
    } \
}

#define	FREEVARMAPELEM(map, elem)        xFree((char *)elem)

#define	FREEIT(map, elem) { \
    (elem)->next = (map)->freelist; \
    (map)->freelist = (elem); \
}
